﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

using ChartJS.Models;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;

namespace ChartJS.Controllers
{
    public class BranchController : Controller
    {
        // GET: Branch
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult getBusinessJsonData()
        {
            string[] arrMonth = { "1月", "2月", "3月", "4月", "5月", "6月" };

            //C# convert JSON string
            string jsonMonth = Newtonsoft.Json.JsonConvert.SerializeObject(arrMonth);
            ViewBag.JsonMonth = jsonMonth;

            List<Branch> branchs = new List<Branch>
            {
                new Branch
                {
                    City="台北",
                    Business = new double[] { 13.1, 10.2, 13.5, 20.9, 25.2, 27.1, 31.8 }
                },
                new Branch{
                    City="高雄",
                    Business = new double[] { 29.1, 28.3, 22.6, 25.4, 27.5, 23.4 }

                },
                new Branch{
                    City="越南",
                    Business = new double[] { 16.6, 17.3, 19.2, 23.8, 12.0, 17.6 }
                }
            };

            //C# convert JSON string
            string jsonBusiness = Newtonsoft.Json.JsonConvert.SerializeObject(branchs);
            ViewBag.JsonBusiness = jsonBusiness;

            //回傳 JSON 格式，讓各種 client 裝置，以 AJAX 方式呼叫的 API
            //return Json(branchs, JsonRequestBehavior.AllowGet);

            return View(branchs);
        }
    }
}